package me.icymint.libra.sage.model.format;

/**
 * 紧致化SQL代码，去掉所有非必须的空白符号。
 * 
 * @author Daniel
 * @datetime 2012-11-16下午1:18:30
 * 
 */
public class CompactFormat implements FormatSql {
	private String IN = "(IN|VALUES)";

	@Override
	public String format(String sql) throws SqlFormatException {
		return sql.replaceAll("\\s+", " ")
				.replaceAll("(?<=" + IN + ") \\(", "(").trim()
				.replaceAll(" ?, ?", ",").replaceAll("\\( ", "(")
				.replaceAll(" \\)", ")").replaceAll("(?<!;)$", ";");
	}

}
