package me.icymint.libra.sage.model.operator;

/**
 * 注入器接口。
 * 
 * @author Daniel
 * @datetime 2012-11-2上午11:49:18
 * 
 */
public interface Injector {
	/**
	 * 把参数值注入到注入器适配的对象。
	 * 
	 * @param obj
	 * @throws ClassNotMatchException
	 *             如果该注入器和该对象不匹配，则抛出该违例。
	 * @throws InjectException
	 *             如果注入失败，则抛出该违例。
	 */
	void inject(Object obj) throws ClassNotMatchException, InjectException;
}
