package me.icymint.libra.sage.core.dialect.query;

public class PrimeQueryCondition extends QueryCondition {

	private final QueryVar v;
	private final QueryVar v2;
	private final Relation r;

	public PrimeQueryCondition(QueryVar v, QueryVar v2, Relation type) {
		super(true);
		if (v == null || v2 == null)
			throw new NullPointerException("QueryVar 为空！");
		this.v = v;
		if (type == null) {
			type = Relation.Equal;
		}
		this.v2 = v2;
		this.r = type;
	}

	@Override
	public String getText() {
		return v.getText() + " " + r.name() + " " + v2.getText();
	}

}
